#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	dh_clean
	rm -rf build
	rm -rf tvnamer.egg-info

override_dh_auto_install:
	# install library in a private location# and script there too,
	# so a symlink to /usr/bin would avoid to add the dir to sys.path
	python3 setup.py install --root=debian/tmp --install-lib=/usr/share/ \
	 	--install-scripts=/usr/share/tvnamer/ --no-compile --install-layout=deb
	dh_install /usr/share/tvnamer/
	rm -f $(CURDIR)/debian/tmp/usr/share/tvnamer/tvnamer
	dh_install debian/tvnamer.py /usr/bin/
	mv $(CURDIR)/debian/tvnamer/usr/bin/tvnamer.py $(CURDIR)/debian/tvnamer/usr/bin/tvnamer

override_dh_auto_test:
	echo "skip test"

override_dh_installdocs:
	dh_installdocs README.md
